SerializationRegistrationType.Instantiator (Apache Geode 1.15.4)

org.apache.geode.cache.configuration

## Class SerializationRegistrationType.Instantiator

- java.lang.Object
- - org.apache.geode.cache.configuration.SerializationRegistrationType.Instantiator

- Enclosing class:
    SerializationRegistrationType

      public static class SerializationRegistrationType.Instantiator
      extends Object

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="class-name" type="{http://geode.apache.org/schema/cache}class-name-type"/>
             </sequence>
             <attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `className`
    `protected String` | `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Instantiator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getClassName()` Gets the value of the className property.
    `String` | `getId()` Gets the value of the id property.
    `void` | `setClassName(String value)` Sets the value of the className property.
    `void` | `setId(String value)` Sets the value of the id property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### className

          protected String className

    - #### id

          protected String id

  - ### Constructor Detail

    - #### Instantiator

          public Instantiator()

  - ### Method Detail

    - #### getClassName

          public String getClassName()

      Gets the value of the className property. possible object is `String`
      Returns:
        the value of the className property

    - #### setClassName

          public void setClassName(String value)

      Sets the value of the className property. allowed object is `String`
      Parameters:
        `value` - the value of the className property

    - #### getId

          public String getId()

      Gets the value of the id property. possible object is `String`
      Returns:
        the value of the id property

    - #### setId

          public void setId(String value)

      Sets the value of the id property. allowed object is `String`
      Parameters:
        `value` - the value of the id property